%global oname jamon

Name:       jamonapi
Version:    2.73
Release:    6%{?dist}
Summary:    A Java monitoring API
Group:      Development/Libraries
License:    BSD
URL:        http://jamon.sourceforge.net

# cvs -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi login
# cvs -z3 -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi co -P -r v2_73 jamonapi/src
# tar caf jamonapi-2.73.tar.gz jamonapi
Source0:    jamonapi-2.73.tar.gz
# This POM is completely Fedora-specific
Source1:    jamonapi-2.73.pom
Patch0:     jamonapi-buildxml.patch
Patch1:     jamonapi-jetty8.patch

BuildRequires:   java-devel
BuildRequires:   jpackage-utils
BuildRequires:   ant
BuildRequires:   tomcat-lib
BuildRequires:   tomcat-servlet-3.0-api
BuildRequires:   tomcat-el-2.2-api
BuildRequires:   jetty
BuildRequires:   geronimo-interceptor
BuildRequires:   log4j
BuildRequires:   dos2unix
Requires:        java
Requires:        jpackage-utils
Requires:        tomcat-lib
Requires:        tomcat-servlet-3.0-api
Requires:        tomcat-el-2.2-api
Requires:        jetty
Requires:        geronimo-interceptor
Requires:        log4j
BuildArch:       noarch

%description
A Java monitoring API

%package javadoc
Summary:         API documentation for %{name}
Group:           Documentation
Requires:        jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
mkdir dist
mkdir lib

%build
pushd src/ant
ant JAR
ant javadoc
popd

# Remove spurious executable permissions
find src/JAMonUsersGuide -type f | xargs chmod -x
find src/JAMonUsersGuide -regex '.*\(xml\|css\|js\)' -o -name package-list | xargs dos2unix

# Remove pregenerated javadoc files in the source tree
rm -rf src/JAMonUsersGuide/javadoc/
# Remove zip file which contains a proprietary binary
rm src/JAMonUsersGuide/JAMon_PB.zip

# There should be a shorter way to do an iconv task, but I do not know of one
pushd src/JAMonUsersGuide/presentation/jamon_files/
mv master04_stylesheet.css master04_stylesheet.css.iso8859-1
iconv -f ISO-8859-1 -t UTF-8 master04_stylesheet.css.iso8859-1 > master04_stylesheet.css
rm master04_stylesheet.css.iso8859-1
popd

%install
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_javadir}
install -m 0644 dist/%{oname}-%{version}.jar ${RPM_BUILD_ROOT}/%{_javadir}/%{name}.jar
ln -s %{name}.jar ${RPM_BUILD_ROOT}/%{_javadir}/%{oname}.jar

install -d -m 0755 ${RPM_BUILD_ROOT}/%{_mavenpomdir}
install -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_mavenpomdir}/JPP-%{oname}.pom

install -d -m 0755 ${RPM_BUILD_ROOT}%{_javadocdir}
cp -rp src/doc/javadoc ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}

%add_maven_depmap JPP-%{oname}.pom %{oname}.jar

%files
%doc src/JAMonUsersGuide
%{_javadir}/%{oname}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{oname}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc src/JAMonUsersGuide/JAMonLicense.html
%{_javadocdir}/%{name}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.73-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 14 2012 Andy Grimm <agrimm@gmail.com> 2.73-5
- Update POM to reflect current jetty and tomcat deps

* Sun Feb 26 2012 Andy Grimm <agrimm@gmail.com> 2.73-4
- remove duplicate javadoc directory
- Remove PowerBuilder example zipfile

* Thu Feb 16 2012 Andy Grimm <agrimm@gmail.com> 2.73-3
- add javadoc subpackage

* Tue Feb 14 2012 Andy Grimm <agrimm@gmail.com> 2.73-2
- Update for Jetty 8

* Tue Dec 20 2011 Andy Grimm <agrimm@gmail.com> 2.73-1
- Initial Package
